Bug 760696 - Review Request: rubygem-mongo - Ruby driver for the MongoDB
Review Request: rubygem-mongo - Ruby driver for the MongoDB
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 845021
  Show dependency treegraph
 
Reported: 2011-12-06 14:34 EST by Troy Dawson
Modified: 2012-08-17 07:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 05:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
vondruch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2011-12-06 14:34:05 EST
Spec URL: http://www.yortnoswad.org/packages/rubygem-mongo.spec
SRPM URL: http://www.yortnoswad.org/packages/rubygem-mongo-1.4.0-3.el6.src.rpm
Description: 
A Ruby driver for MongoDB. For more information about Mongo, see
http://www.mongodb.org.
Comment 1 Troy Dawson 2011-12-06 14:38:33 EST
This is my first package and I need a sponsor.
Comment 2 Troy Dawson 2011-12-06 17:27:08 EST
I know this isn't the latest version.  But I wanted to make sure the spec file was correct before updating the version.
Comment 3 Troy Dawson 2012-05-17 15:44:33 EDT
I am going to close this for a couple reasons.

1) Every group / individual I've seen has been using rubygem-bson or rubygem-bson_ext.  Nobody wants/uses rubygem-mongo.

2) This rpm relies on rubygem-bson and has to keep at the same version level as it.  Since I am not the rubygem-bson maintainer, that would be a bit complex to make sure they both get updated at the same time.

If someone else wants to do rubygem-mongo, they can.
Comment 4 Michael Scherer 2012-07-21 21:14:20 EDT
Seems this is needed by openshift, should this review be reopened ?

( as a side note, your http server seems to mess up the rendering of the spec on firefox, I think it may be the mimetype )
Comment 5 Troy Dawson 2012-07-23 11:57:43 EDT
I can re-open it.  I need to update the spec files to meet the new rubygem format, and the version to match the rubygem-bson version.

(I fixed my http server mimetype settings.  Thanks for letting me know.)
Comment 6 Troy Dawson 2012-07-23 15:23:24 EDT
Spec URL: http://www.yortnoswad.org/packages/review/rubygem-mongo.spec
SRPM URL: http://www.yortnoswad.org/packages/review/rubygem-mongo-1.4.0-4.fc18.src.rpm

Project URL: http://www.mongodb.org

Rpmlint Output:
[me@rawhide]$ rpmlint rubygem-mongo.spec rubygem-mongo-1.4.0-4.fc18.src.rpm
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 7 Vít Ondruch 2012-07-24 04:17:53 EDT
(In reply to comment #3)
> 2) This rpm relies on rubygem-bson and has to keep at the same version level
> as it.  Since I am not the rubygem-bson maintainer, that would be a bit
> complex to make sure they both get updated at the same time.

Don't hesitate and ask in pkgdb for co-maintainership.
Comment 8 Michael Scherer 2012-08-01 16:46:11 EDT
Requires: ruby(bson) 

this is not good on F17, it doesn't exist.
Comment 9 Troy Dawson 2012-08-02 11:09:59 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygem-mongo/rubygem-mongo.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygem-mongo/rubygem-mongo-1.4.0-5.fc18.src.rpm

- Changed ruby(bson) to rubygem(bson)
- Changed rubygem(bson) to rubygem(bson) = %{version}
- Cleaned up indenting
Comment 10 Troy Dawson 2012-08-02 18:49:47 EDT
I would like to add FAS account name maxamillion to this review as I'll be out of town for the next week and don't want to be a blocker.

Fedora Account System Username: maxamillion tdawson
Comment 11 Michael Scherer 2012-08-03 04:25:00 EDT
Removing block on FEsponsor, since troy is now in packager group, according to FAS
Comment 12 Michael Scherer 2012-08-03 05:23:16 EDT
There is a few things to fix :
- no %check ( maybe done on purpose, a comment would be nice )

- not the latest version, according to the website.

The rest is good otherwise.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)" For detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/760696-rubygem-
     mongo/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (mongo-1.4.0.gem)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Language ====
[x]: MUST Gem package must not define a non-gem subpackage
[x]: MUST Gem package must exclude cached Gem.
[x]: MUST Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: MUST Gem package is named rubygem-%{gem_name}
[x]: MUST Package contains BuildRequires: rubygems-devel.
[x]: MUST Gem package must define %{gem_name} macro.
[x]: MUST Pure Ruby package must be built as noarch
[x]: MUST Package contains Requires: ruby(abi).
[x]: SHOULD Specfile should utilize macros from rubygem-devel package.
[x]: SHOULD Test suite should not be run by rake.
[!]: SHOULD Test suite of the library should be run.


Issues
------
[!]: SHOULD %check is present and all tests pass.
[!]: SHOULD Test suite of the library should be run.
[!]: SHOULD Latest version is packaged.

Rpmlint
-------
Checking: rubygem-mongo-doc-1.4.0-5.fc17.noarch.rpm
          rubygem-mongo-1.4.0-5.fc17.noarch.rpm
          rubygem-mongo-1.4.0-5.fc17.src.rpm
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/connecting%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/unlock%21-i.ri %21
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Node/eql%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/connected%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/ReplSetConnection/connected%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/safe-i.ri
rubygem-mongo-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/MongoDBError/result-i.ri
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Node/active%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Node/primary%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/slave_ok%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/GridIO/%5b%5d%3d-i.ri %5b
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/GridIO/%5b%5d%3d-i.ri %5d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/GridIO/%5b%5d%3d-i.ri %3d
rubygem-mongo-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/MongoDBError/error_code-i.ri
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/ReplSetConnection/read_primary%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Collection/%5b%5d-i.ri %5b
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Collection/%5b%5d-i.ri %5d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/strict%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Cursor/closed%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Collection/capped%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/cache_time-i.ri
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/ReplSetConnection/slave_ok%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/PoolManager/healthy%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/read_primary%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/active%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/name-i.ri
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/ReplSetConnection/connecting%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/ok%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Cursor/rewind%21-i.ri %21
rubygem-mongo-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/connection-i.ri
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/error%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/TimeoutWrapper/timeout_lib%3d-i.ri %3d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Cursor/has_next%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Cursor/alive%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/lock%21-i.ri %21
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Collection/hint%3d-i.ri %3d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/%5b%5d-i.ri %5b
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/%5b%5d-i.ri %5d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Node/secondary%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/locked%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/ServerVersion/%3c%3d%3e-i.ri %3c
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/ServerVersion/%3c%3d%3e-i.ri %3d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/ServerVersion/%3c%3d%3e-i.ri %3e
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/%5b%5d-i.ri %5b
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/%5b%5d-i.ri %5d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/GridIO/eof%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/GridIO/%5b%5d-i.ri %5b
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/GridIO/%5b%5d-i.ri %5d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/profiling_level%3d-i.ri %3d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Node/connected%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/ReplSetConnection/primary%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/DB/pk_factory%3d-i.ri %3d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Connection/primary%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/GridExt/InstanceMethods/exist%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Collection/%3c%3c-i.ri %3c
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Collection/%3c%3c-i.ri %3c
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Support/ok%3f-i.ri %3f
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Node/%3d%3d-i.ri %3d
rubygem-mongo-doc.noarch: W: unexpanded-macro /usr/share/gems/doc/mongo-1.4.0/ri/Mongo/Node/%3d%3d-i.ri %3d
rubygem-mongo.noarch: W: no-manual-page-for-binary mongo_console
3 packages and 0 specfiles checked; 0 errors, 60 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
rubygem-mongo-doc-1.4.0-5.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/ruby  
    rubygem-mongo = 1.4.0-5.fc17

rubygem-mongo-1.4.0-5.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    /usr/bin/ruby  
    ruby(abi) = 1.9.1
    rubygem(bson) = 1.4.0
    rubygems  

Provides
--------
rubygem-mongo-doc-1.4.0-5.fc17.noarch.rpm:
    
    rubygem-mongo-doc = 1.4.0-5.fc17

rubygem-mongo-1.4.0-5.fc17.noarch.rpm:
    
    rubygem(mongo) = 1.4.0
    rubygem-mongo = 1.4.0-5.fc17

MD5-sum check
-------------
http://rubygems.org/gems/mongo-1.4.0.gem :
  MD5SUM this package     : 03dcc9bc498a2fb622d0807f5555ed58
  MD5SUM upstream package : 03dcc9bc498a2fb622d0807f5555ed58


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 760696
External plugins:
Comment 13 Vít Ondruch 2012-08-03 06:10:57 EDT
%doc %{gem_instdir}/mongo.gemspec
%doc %{gem_instdir}/Rakefile

Should not be marked as a doc IMO.
Comment 14 Troy Dawson 2012-08-07 20:43:25 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygem-mongo/rubygem-mongo.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygem-mongo/rubygem-mongo-1.4.0-6.fc18.src.rpm

- Added tests (%check section)
- removed %doc label from mongo.gemspec and Rakefile
- rubygem-mongo has to be the same version rubygem-bson.  Right now that version is 1.4.0 for Fedora 17 and 18.
Comment 15 Vít Ondruch 2012-08-08 04:26:02 EDT
(In reply to comment #14)
> - Added tests (%check section)

Hrm, although you added tests, you should ensure that they are executable in mock. There is no BR for rubygem(minitest), so the build fails as soon as it hits the %check section. I guess that additionally you'll need also BR: rubygem-bson, rubygem-shoulda and rubygem-mocha.

Nevertheless, I am afraid that you will need also setup MongoDB, so I am not sure if that will be possible. But it would be nice to have some (even) conditionally executable test suite anyway.


Here [1] is how to use mock. It will help you to build the RPM locally in isolated environment.

> - rubygem-mongo has to be the same version rubygem-bson.  Right now that
> version is 1.4.0 for Fedora 17 and 18.

Well, nothing easier than bump the version of bson in Rawhide. I'm going to do it right now. And since you are already sponsored, you can ask for ACL in pkgdb to do it yourself when needed ;)



[1] http://fedoraproject.org/wiki/Using_Mock_to_test_package_builds#How_do_I_use_Mock.3F
Comment 16 Troy Dawson 2012-08-08 20:45:32 EDT
- tests
-- I will admit that I only skimmed the test output of the build.  After your comment I rebuilt it and looked at the output. Interesting that it went through, managed to not run a single test, then say it completed successfully because none of the tests failed (because they were not run)
-- I put in the BuildRequires (you were only missing bson_ext) and it is continueing to fail.
--- I'm on vacation so only have limited time to fix this up, so it might be a few days before I get this worked up.
- version
-- I initually built the latest version, and had to back it down to match the versions.  If we can get the rawhide bson version to be the latest, I can easily do this for the latest version.
Comment 17 Vít Ondruch 2012-08-09 02:45:38 EDT
(In reply to comment #16)
> - tests
> -- I will admit that I only skimmed the test output of the build.  After
> your comment I rebuilt it and looked at the output. Interesting that it went
> through, managed to not run a single test, then say it completed
> successfully because none of the tests failed (because they were not run)

Yeah, I know, that is odd behavior :/

> -- I put in the BuildRequires (you were only missing bson_ext) and it is
> continueing to fail.

Isn't bson_ext just optional?

> --- I'm on vacation so only have limited time to fix this up, so it might be
> a few days before I get this worked up.

No problem.

> - version
> -- I initually built the latest version, and had to back it down to match
> the versions.  If we can get the rawhide bson version to be the latest, I
> can easily do this for the latest version.

There is already bson 1.6.4 in Rawhide. Working on bson_ext now.
Comment 18 Vít Ondruch 2012-08-09 03:34:00 EDT
bson_ext 1.6.4 is also in Rawhide ... better to say in F18/Rawhide.
Comment 19 Troy Dawson 2012-08-09 23:04:03 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygem-mongo/rubygem-mongo.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygem-mongo/rubygem-mongo-1.6.4-1.fc18.src.rpm

- Updated to latest version - 1.6.4
- Went through tests.  Only run the tests that do not require a mongodb server to be running.
- Trimmed down the BuildRequires needed for tests
-- rubygem-bson_ext - only optional
-- rubygem-json - pulled in by rubygem-minitest
- Added BuildRequires that were missing
-- rubygem-test-unit
Comment 20 Vít Ondruch 2012-08-10 09:50:30 EDT
(In reply to comment #19)
> - Updated to latest version - 1.6.4

Thanks

> - Went through tests.  Only run the tests that do not require a mongodb
> server to be running.

Sounds good.

> - Trimmed down the BuildRequires needed for tests
> -- rubygem-bson_ext - only optional
> -- rubygem-json - pulled in by rubygem-minitest
> - Added BuildRequires that were missing
> -- rubygem-test-unit

Actually the test-unit is probably not required. I opened this  [1] issue while updating bson. Anyway, use test-unit or minitest, but do not require both. The minitest should not be needed now by my testing.


And I have another issues here:

* %{gem_instdir}/docs should be marked as %doc

* Keep %doc %{gem_instdir}/LICENSE.txt in the main package
  - And completely remove %doc LICENSE.txt


Nevertheless, the package looks good to me. Since nobody else officialy claimed it for a review, I am claiming it now and APPROVE. Please fix the remaining issues before commit.

[1] https://jira.mongodb.org/browse/RUBY-465
Comment 21 Troy Dawson 2012-08-10 20:28:29 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygem-mongo/rubygem-mongo.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygem-mongo/rubygem-mongo-1.6.4-2.fc18.src.rpm

- You were correct, I only needed test-unit, and not minitest.  I have removed rubygem(minitest) as a BuildRequires
- I have marked %{gem_instdir}/docs as %doc
- I have removed %doc LICENSE.txt in the main package and replaced it with %doc %{gem_instdir}/LICENSE.txt
-- I have removed %doc %{gem_instdir}/LICENSE.txt from the subpackage.
Comment 22 Troy Dawson 2012-08-10 20:58:04 EDT
New Package SCM Request
=======================
Package Name: rubygem-mongo
Short Description: Ruby driver for the MongoDB
Owners: tdawson
Branches: master f18
InitialCC:
Comment 23 Jon Ciesla 2012-08-11 11:41:14 EDT
Git done (by process-git-requests).
Comment 24 Michael Scherer 2012-08-17 05:40:56 EDT
Has this package been built ? 
As it block openshift-origin-common, which block some others, I think that one of the remaning thing to do before finishing the feature ( this and testing/fixing of course ).
Comment 25 Vít Ondruch 2012-08-17 05:57:51 EDT
(In reply to comment #24)
> Has this package been built ? 
> As it block openshift-origin-common, which block some others, I think that
> one of the remaning thing to do before finishing the feature ( this and
> testing/fixing of course ).

Yes, it is built for F18+. 

I doubt that it would block openshift-origin-common, you probably meant rubygem-openshift-origin-auth-mongo.
Comment 26 Michael Scherer 2012-08-17 07:42:17 EDT
openshift-origin-common is listed as being blocked by this one, so
Comment 27 Michael Scherer 2012-08-17 07:42:54 EDT
so this was a incorrect relation, ( and I should learn to not hit enter before finishing comment :/ )

Note You need to log in before you can comment on or make changes to this bug.